Loading...
Searching...
No Matches
Opm::EnergyModule< TypeTag, false > Class Template Reference

Provides the auxiliary methods required for consideration of the energy equation. More...

`#include <energymodule.hh>`

## Static Public Member Functions

static void | registerParameters ()
| Register all run-time parameters for the energy module.
static std::string | primaryVarName (unsigned)
| Returns the name of a primary variable or an empty string if the specified primary variable index does not belong to the energy module.
static std::string | eqName (unsigned)
| Returns the name of an equation or an empty string if the specified equation index does not belong to the energy module.
static Scalar | primaryVarWeight (const Model &, unsigned, unsigned)
| Returns the relative weight of a primary variable for calculating relative errors.
static Scalar | eqWeight (const Model &, unsigned, unsigned)
| Returns the relative weight of a equation of the residual.
template<class FluidState>
static void | setPriVarTemperatures (PrimaryVariables &, const FluidState &)
| Given a fluid state, set the temperature in the primary variables.
template<class RateVector, class FluidState>
static void | setEnthalpyRate (RateVector &, const FluidState &, unsigned, const Evaluation &)
| Given a fluid state, set the enthalpy rate which emerges from a volumetric rate.
static void | setEnthalpyRate (RateVector &, const Evaluation &)
| Add the rate of the enthalpy flux to a rate vector.
static void | addToEnthalpyRate (RateVector &, const Evaluation &)
| Add the rate of the enthalpy flux to a rate vector.
static Scalar | thermalConductionRate (const ExtensiveQuantities &)
| Add the rate of the conductive energy flux to a rate vector.
template<class LhsEval>
static void | addPhaseStorage (Dune::FieldVector< LhsEval, numEq > &, const IntensiveQuantities &, unsigned)
| Add the energy storage term for a fluid phase to an equation vector.
template<class LhsEval, class Scv>
static void | addFracturePhaseStorage (Dune::FieldVector< LhsEval, numEq > &, const IntensiveQuantities &, const Scv &, unsigned)
| Add the energy storage term for a fluid phase to an equation vector.
template<class LhsEval>
static void | addSolidEnergyStorage (Dune::FieldVector< LhsEval, numEq > &, const IntensiveQuantities &)
| Add the energy storage term for the fracture part a fluid phase to an equation vector.
template<class Context>
static void | addAdvectiveFlux (RateVector &, const Context &, unsigned, unsigned)
| Evaluates the advective energy fluxes over a face of a subcontrol volume and adds the result in the flux vector.
template<class Context>
static void | handleFractureFlux (RateVector &, const Context &, unsigned, unsigned)
| Evaluates the advective energy fluxes over a fracture which should be attributed to a face of a subcontrol volume and adds the result in the flux vector.
template<class Context>
static void | addDiffusiveFlux (RateVector &, const Context &, unsigned, unsigned)
| Adds the diffusive energy flux to the flux vector over the face of a sub-control volume.

## Detailed Description

template<class TypeTag>
class Opm::EnergyModule< TypeTag, false >

Provides the auxiliary methods required for consideration of the energy equation.

## Member Function Documentation

## addAdvectiveFlux()

template<class TypeTag>
template<class Context>

void Opm::EnergyModule< TypeTag, false >::addAdvectiveFlux | ( | RateVector & | ,
|  | const Context & | ,
|  | unsigned | ,
|  | unsigned | )

inline static

Evaluates the advective energy fluxes over a face of a subcontrol volume and adds the result in the flux vector.

This method is called by compute flux (base class)

## addDiffusiveFlux()

template<class TypeTag>
template<class Context>

void Opm::EnergyModule< TypeTag, false >::addDiffusiveFlux | ( | RateVector & | ,
|  | const Context & | ,
|  | unsigned | ,
|  | unsigned | )

inline static

Adds the diffusive energy flux to the flux vector over the face of a sub-control volume.

This method is called by compute flux (base class)

The documentation for this class was generated from the following file:

- opm/models/common/energymodule.hh